restic backup(1)

NAME

restic-generate - Generate manual pages and auto-completion files (bash, zsh)

SYNOPSIS

restic generate [command] [flags]

DESCRIPTION

The "generate" command writes automatically generated files like the man pages and the auto-completion files for bash and zsh).

OPTIONS

--bash-completion=""
    write bash completion file

-h, --help[=false]
    help for generate

--man=""
    write man pages to directory

--zsh-completion=""
    write zsh completion file

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    path to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

SEE ALSO

restic(1)